[Main Settings]

## Discord channel webhook URL. For instructions, reference the 'MAKING A WEBHOOK' section of 
## Discord's documentation: https://support.Discord.com/hc/en-us/articles/228383668-Intro-to-Webhook
# Setting type: String
# Default value: 
Webhook URL = \"https://discord.com/api/webhooks/1060337797086576690/IAJndRT27_E81FrYjnDPe8VKffR-4qVSKJBXJjoT2cqHZJX8vAWApmAG1SYsF31Usxej\"

## Enable this setting to use embeds in the messages sent to Discord. Currently this will affect the position details for the messages.
# Setting type: Boolean
# Default value: false
Use fancier discord messages = true

## It may be that you have some players that you never want to send Discord messages for. Adding a player name to this list will ignore them.
## Format should be a semicolon-separated list: Stuart;John McJohnny;Weird-name1
# Setting type: String
# Default value: 
Ignored Players = 

## It may be that you have some players that you never want to send Discord messages for. This option lets you provide a regular expression to filter out players if their name matches.
## Format should be a valid string for a .NET Regex (reference: https://docs.microsoft.com/en-us/dotnet/standard/base-types/regular-expression-language-quick-reference)
# Setting type: String
# Default value: 
Ignored Players (Regex) = 

## Disable this setting to disable any positions/coordinates being sent with messages (e.g. players deaths or players joining/leaving). (Overwrites any individual setting.)
# Setting type: Boolean
# Default value: true
Send Positions with Messages = true

## Disable this setting to disable all stat collection. (Overwrites any individual setting.)
# Setting type: Boolean
# Default value: true
Collect Player Stats = true

## Disable this setting to disable all extra announcements the first time each player does something. (Overwrites any individual setting.)
# Setting type: Boolean
# Default value: true
Announce Player Firsts = true

## Choose a method for how players will be separated from the results of a record query (used for statistic leader boards).
## Name: Treat each CharacterName as a separate player
## PlayerId: Treat each PlayerId as a separate player
## NameAndPlayerId: Treat each [PlayerId:CharacterName] combo as a separate player
# Setting type: RetrievalDiscernmentMethods
# Default value: PlayerId
# Acceptable values: PlayerId, Name, NameAndPlayerId
How to discern players in Record Retrieval = PlayerId

## Enable this setting to have shouts which are performed by other mods/the server/non-players to be sent to Discord as well.
## Note: These are still subject to censure by the muted player regex and list.
# Setting type: Boolean
# Default value: false
Send Non-Player Shouts to Discord = false

